aclocal.m4 (gdcalc-2.20) | : | aclocal.m4 (gdcalc-3.0) | ||
---|---|---|---|---|
# generated automatically by aclocal 1.16.1 -*- Autoconf -*- | # generated automatically by aclocal 1.16.2 -*- Autoconf -*- | |||
# Copyright (C) 1996-2018 Free Software Foundation, Inc. | # Copyright (C) 1996-2020 Free Software Foundation, Inc. | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# This program is distributed in the hope that it will be useful, | # This program is distributed in the hope that it will be useful, | |||
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without | # but WITHOUT ANY WARRANTY, to the extent permitted by law; without | |||
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A | # even the implied warranty of MERCHANTABILITY or FITNESS FOR A | |||
# PARTICULAR PURPOSE. | # PARTICULAR PURPOSE. | |||
m4_ifndef([AC_CONFIG_MACRO_DIRS], [m4_defun([_AM_CONFIG_MACRO_DIRS], [])m4_defun ([AC_CONFIG_MACRO_DIRS], [_AM_CONFIG_MACRO_DIRS($@)])]) | m4_ifndef([AC_CONFIG_MACRO_DIRS], [m4_defun([_AM_CONFIG_MACRO_DIRS], [])m4_defun ([AC_CONFIG_MACRO_DIRS], [_AM_CONFIG_MACRO_DIRS($@)])]) | |||
m4_ifndef([AC_AUTOCONF_VERSION], | m4_ifndef([AC_AUTOCONF_VERSION], | |||
[m4_copy([m4_PACKAGE_VERSION], [AC_AUTOCONF_VERSION])])dnl | [m4_copy([m4_PACKAGE_VERSION], [AC_AUTOCONF_VERSION])])dnl | |||
m4_if(m4_defn([AC_AUTOCONF_VERSION]), [2.69],, | m4_if(m4_defn([AC_AUTOCONF_VERSION]), [2.69],, | |||
[m4_warning([this file was generated for autoconf 2.69. | [m4_warning([this file was generated for autoconf 2.69. | |||
You have another version of autoconf. It may work, but is not guaranteed to. | You have another version of autoconf. It may work, but is not guaranteed to. | |||
If you have problems, you may need to regenerate the build system entirely. | If you have problems, you may need to regenerate the build system entirely. | |||
To do so, use the procedure documented by the package, typically 'autoreconf'.]) ]) | To do so, use the procedure documented by the package, typically 'autoreconf'.]) ]) | |||
# Configure paths for GTK+ | ||||
# Owen Taylor 1997-2001 | ||||
# Version number used by aclocal, see `info automake Serials`. | ||||
# Increment on every change. | ||||
#serial 1 | ||||
dnl AM_PATH_GTK_3_0([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND [, | ||||
MODULES]]]]) | ||||
dnl Test for GTK+, and define GTK_CFLAGS and GTK_LIBS, if gthread is specified i | ||||
n MODULES, | ||||
dnl pass to pkg-config | ||||
dnl | ||||
AC_DEFUN([AM_PATH_GTK_3_0], | ||||
[m4_warn([obsolete], [AM_PATH_GTK_3_0 is deprecated, use PKG_CHECK_MODULES([GTK] | ||||
, [gtk+-3.0]) instead]) | ||||
dnl Get the cflags and libraries from pkg-config | ||||
dnl | ||||
AC_ARG_ENABLE(gtktest, [ --disable-gtktest do not try to compile and run | ||||
a test GTK+ program], | ||||
, enable_gtktest=yes) | ||||
min_gtk_version=ifelse([$1], [], [3.0.0], [$1]) | ||||
pkg_config_args="gtk+-3.0 >= $min_gtk_version" | ||||
for module in . $4 | ||||
do | ||||
case "$module" in | ||||
gthread) | ||||
pkg_config_args="$pkg_config_args gthread-2.0" | ||||
;; | ||||
esac | ||||
done | ||||
no_gtk="" | ||||
PKG_PROG_PKG_CONFIG([0.16]) | ||||
if test -z "$PKG_CONFIG"; then | ||||
no_gtk=yes | ||||
fi | ||||
AC_MSG_CHECKING(for GTK+ - version >= $min_gtk_version) | ||||
if test -n "$PKG_CONFIG"; then | ||||
## don't try to run the test against uninstalled libtool libs | ||||
if $PKG_CONFIG --uninstalled $pkg_config_args; then | ||||
echo "Will use uninstalled version of GTK+ found in PKG_CONFIG_PATH" | ||||
enable_gtktest=no | ||||
fi | ||||
if $PKG_CONFIG $pkg_config_args; then | ||||
: | ||||
else | ||||
no_gtk=yes | ||||
fi | ||||
fi | ||||
if test x"$no_gtk" = x ; then | ||||
GTK_CFLAGS=`$PKG_CONFIG $pkg_config_args --cflags` | ||||
GTK_LIBS=`$PKG_CONFIG $pkg_config_args --libs` | ||||
gtk_config_major_version=`$PKG_CONFIG --modversion gtk+-3.0 | \ | ||||
sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'` | ||||
gtk_config_minor_version=`$PKG_CONFIG --modversion gtk+-3.0 | \ | ||||
sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'` | ||||
gtk_config_micro_version=`$PKG_CONFIG --modversion gtk+-3.0 | \ | ||||
sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'` | ||||
if test "x$enable_gtktest" = "xyes" ; then | ||||
ac_save_CFLAGS="$CFLAGS" | ||||
ac_save_LIBS="$LIBS" | ||||
CFLAGS="$CFLAGS $GTK_CFLAGS" | ||||
LIBS="$GTK_LIBS $LIBS" | ||||
dnl | ||||
dnl Now check if the installed GTK+ is sufficiently new. (Also sanity | ||||
dnl checks the results of pkg-config to some extent) | ||||
dnl | ||||
rm -f conf.gtktest | ||||
AC_TRY_RUN([ | ||||
#include <gtk/gtk.h> | ||||
#include <stdio.h> | ||||
#include <stdlib.h> | ||||
int | ||||
main () | ||||
{ | ||||
unsigned int major, minor, micro; | ||||
fclose (fopen ("conf.gtktest", "w")); | ||||
if (sscanf("$min_gtk_version", "%u.%u.%u", &major, &minor, µ) != 3) { | ||||
printf("%s, bad version string\n", "$min_gtk_version"); | ||||
exit(1); | ||||
} | ||||
if ((gtk_major_version != $gtk_config_major_version) || | ||||
(gtk_minor_version != $gtk_config_minor_version) || | ||||
(gtk_micro_version != $gtk_config_micro_version)) | ||||
{ | ||||
printf("\n*** 'pkg-config --modversion gtk+-3.0' returned %d.%d.%d, but GT | ||||
K+ (%d.%d.%d)\n", | ||||
$gtk_config_major_version, $gtk_config_minor_version, $gtk_config_m | ||||
icro_version, | ||||
gtk_major_version, gtk_minor_version, gtk_micro_version); | ||||
printf ("*** was found! If pkg-config was correct, then it is best\n"); | ||||
printf ("*** to remove the old version of GTK+. You may also be able to fi | ||||
x the error\n"); | ||||
printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by e | ||||
diting\n"); | ||||
printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n" | ||||
); | ||||
printf("*** required on your system.\n"); | ||||
printf("*** If pkg-config was wrong, set the environment variable PKG_CONF | ||||
IG_PATH\n"); | ||||
printf("*** to point to the correct configuration files\n"); | ||||
} | ||||
else if ((gtk_major_version != GTK_MAJOR_VERSION) || | ||||
(gtk_minor_version != GTK_MINOR_VERSION) || | ||||
(gtk_micro_version != GTK_MICRO_VERSION)) | ||||
{ | ||||
printf("*** GTK+ header files (version %d.%d.%d) do not match\n", | ||||
GTK_MAJOR_VERSION, GTK_MINOR_VERSION, GTK_MICRO_VERSION); | ||||
printf("*** library (version %d.%d.%d)\n", | ||||
gtk_major_version, gtk_minor_version, gtk_micro_version); | ||||
} | ||||
else | ||||
{ | ||||
if ((gtk_major_version > major) || | ||||
((gtk_major_version == major) && (gtk_minor_version > minor)) || | ||||
((gtk_major_version == major) && (gtk_minor_version == minor) && (gtk_mi | ||||
cro_version >= micro))) | ||||
{ | ||||
return 0; | ||||
} | ||||
else | ||||
{ | ||||
printf("\n*** An old version of GTK+ (%u.%u.%u) was found.\n", | ||||
gtk_major_version, gtk_minor_version, gtk_micro_version); | ||||
printf("*** You need a version of GTK+ newer than %u.%u.%u. The latest v | ||||
ersion of\n", | ||||
major, minor, micro); | ||||
printf("*** GTK+ is always available from ftp://ftp.gtk.org.\n"); | ||||
printf("***\n"); | ||||
printf("*** If you have already installed a sufficiently new version, th | ||||
is error\n"); | ||||
printf("*** probably means that the wrong copy of the pkg-config shell s | ||||
cript is\n"); | ||||
printf("*** being found. The easiest way to fix this is to remove the ol | ||||
d version\n"); | ||||
printf("*** of GTK+, but you can also set the PKG_CONFIG environment to | ||||
point to the\n"); | ||||
printf("*** correct copy of pkg-config. (In this case, you will have to\ | ||||
n"); | ||||
printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /et | ||||
c/ld.so.conf\n"); | ||||
printf("*** so that the correct libraries are found at run-time))\n"); | ||||
} | ||||
} | ||||
return 1; | ||||
} | ||||
],, no_gtk=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"]) | ||||
CFLAGS="$ac_save_CFLAGS" | ||||
LIBS="$ac_save_LIBS" | ||||
fi | ||||
fi | ||||
if test "x$no_gtk" = x ; then | ||||
AC_MSG_RESULT(yes (version $gtk_config_major_version.$gtk_config_minor_vers | ||||
ion.$gtk_config_micro_version)) | ||||
ifelse([$2], , :, [$2]) | ||||
else | ||||
AC_MSG_RESULT(no) | ||||
if test -z "$PKG_CONFIG"; then | ||||
echo "*** A new enough version of pkg-config was not found." | ||||
echo "*** See http://pkgconfig.sourceforge.net" | ||||
else | ||||
if test -f conf.gtktest ; then | ||||
: | ||||
else | ||||
echo "*** Could not run GTK+ test program, checking why..." | ||||
ac_save_CFLAGS="$CFLAGS" | ||||
ac_save_LIBS="$LIBS" | ||||
CFLAGS="$CFLAGS $GTK_CFLAGS" | ||||
LIBS="$LIBS $GTK_LIBS" | ||||
AC_TRY_LINK([ | ||||
#include <gtk/gtk.h> | ||||
#include <stdio.h> | ||||
], [ return ((gtk_major_version) || (gtk_minor_version) || (gtk_micro_versi | ||||
on)); ], | ||||
[ echo "*** The test program compiled, but did not run. This usually mea | ||||
ns" | ||||
echo "*** that the run-time linker is not finding GTK+ or finding the | ||||
wrong" | ||||
echo "*** version of GTK+. If it is not finding GTK+, you'll need to s | ||||
et your" | ||||
echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.con | ||||
f to point" | ||||
echo "*** to the installed location Also, make sure you have run ldco | ||||
nfig if that" | ||||
echo "*** is required on your system" | ||||
echo "***" | ||||
echo "*** If you have an old version installed, it is best to remove i | ||||
t, although" | ||||
echo "*** you may also be able to get things to work by modifying LD_L | ||||
IBRARY_PATH" ], | ||||
[ echo "*** The test program failed to compile or link. See the file con | ||||
fig.log for the" | ||||
echo "*** exact error that occurred. This usually means GTK+ is incorr | ||||
ectly installed."]) | ||||
CFLAGS="$ac_save_CFLAGS" | ||||
LIBS="$ac_save_LIBS" | ||||
fi | ||||
fi | ||||
GTK_CFLAGS="" | ||||
GTK_LIBS="" | ||||
ifelse([$3], , :, [$3]) | ||||
fi | ||||
AC_SUBST(GTK_CFLAGS) | ||||
AC_SUBST(GTK_LIBS) | ||||
rm -f conf.gtktest | ||||
]) | ||||
dnl GTK_CHECK_BACKEND(BACKEND-NAME [, MINIMUM-VERSION [, ACTION-IF-FOUND [, ACTI | ||||
ON-IF-NOT-FOUND]]]) | ||||
dnl Tests for BACKEND-NAME in the GTK targets list | ||||
dnl | ||||
AC_DEFUN([GTK_CHECK_BACKEND], | ||||
[m4_warn([obsolete], [GTK_CHECK_BACKEND is deprecated, use PKG_CHECK_MODULES([GT | ||||
K_X11], [gtk+-x11-3.0]) or similar instead]) | ||||
pkg_config_args=ifelse([$1],,gtk+-3.0, gtk+-$1-3.0) | ||||
min_gtk_version=ifelse([$2],,3.0.0,$2) | ||||
pkg_config_args="$pkg_config_args >= $min_gtk_version" | ||||
PKG_PROG_PKG_CONFIG([0.16]) | ||||
AS_IF([test -z "$PKG_CONFIG"], [AC_MSG_ERROR([No pkg-config found])]) | ||||
if $PKG_CONFIG $pkg_config_args ; then | ||||
target_found=yes | ||||
else | ||||
target_found=no | ||||
fi | ||||
if test "x$target_found" = "xno"; then | ||||
ifelse([$4],,[AC_MSG_ERROR([Backend $backend not found.])],[$4]) | ||||
else | ||||
ifelse([$3],,[:],[$3]) | ||||
fi | ||||
]) | ||||
# pkg.m4 - Macros to locate and utilise pkg-config. -*- Autoconf -*- | # pkg.m4 - Macros to locate and utilise pkg-config. -*- Autoconf -*- | |||
# serial 11 (pkg-config-0.29.1) | # serial 11 (pkg-config-0.29.1) | |||
dnl Copyright © 2004 Scott James Remnant <scott@netsplit.com>. | dnl Copyright © 2004 Scott James Remnant <scott@netsplit.com>. | |||
dnl Copyright © 2012-2015 Dan Nicholson <dbn.lists@gmail.com> | dnl Copyright © 2012-2015 Dan Nicholson <dbn.lists@gmail.com> | |||
dnl | dnl | |||
dnl This program is free software; you can redistribute it and/or modify | dnl This program is free software; you can redistribute it and/or modify | |||
dnl it under the terms of the GNU General Public License as published by | dnl it under the terms of the GNU General Public License as published by | |||
dnl the Free Software Foundation; either version 2 of the License, or | dnl the Free Software Foundation; either version 2 of the License, or | |||
dnl (at your option) any later version. | dnl (at your option) any later version. | |||
skipping to change at line 362 | skipping to change at line 577 | |||
dnl PKG_WITH_MODULES check. HAVE_[VARIABLE-PREFIX] is exported as make | dnl PKG_WITH_MODULES check. HAVE_[VARIABLE-PREFIX] is exported as make | |||
dnl and preprocessor variable. | dnl and preprocessor variable. | |||
AC_DEFUN([PKG_HAVE_DEFINE_WITH_MODULES], | AC_DEFUN([PKG_HAVE_DEFINE_WITH_MODULES], | |||
[ | [ | |||
PKG_HAVE_WITH_MODULES([$1],[$2],[$3],[$4]) | PKG_HAVE_WITH_MODULES([$1],[$2],[$3],[$4]) | |||
AS_IF([test "$AS_TR_SH([with_]m4_tolower([$1]))" = "yes"], | AS_IF([test "$AS_TR_SH([with_]m4_tolower([$1]))" = "yes"], | |||
[AC_DEFINE([HAVE_][$1], 1, [Enable ]m4_tolower([$1])[ support])]) | [AC_DEFINE([HAVE_][$1], 1, [Enable ]m4_tolower([$1])[ support])]) | |||
])dnl PKG_HAVE_DEFINE_WITH_MODULES | ])dnl PKG_HAVE_DEFINE_WITH_MODULES | |||
# Copyright (C) 2002-2018 Free Software Foundation, Inc. | # Copyright (C) 2002-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_AUTOMAKE_VERSION(VERSION) | # AM_AUTOMAKE_VERSION(VERSION) | |||
# ---------------------------- | # ---------------------------- | |||
# Automake X.Y traces this macro to ensure aclocal.m4 has been | # Automake X.Y traces this macro to ensure aclocal.m4 has been | |||
# generated from the m4 files accompanying Automake X.Y. | # generated from the m4 files accompanying Automake X.Y. | |||
# (This private macro should not be called outside this file.) | # (This private macro should not be called outside this file.) | |||
AC_DEFUN([AM_AUTOMAKE_VERSION], | AC_DEFUN([AM_AUTOMAKE_VERSION], | |||
[am__api_version='1.16' | [am__api_version='1.16' | |||
dnl Some users find AM_AUTOMAKE_VERSION and mistake it for a way to | dnl Some users find AM_AUTOMAKE_VERSION and mistake it for a way to | |||
dnl require some minimum version. Point them to the right macro. | dnl require some minimum version. Point them to the right macro. | |||
m4_if([$1], [1.16.1], [], | m4_if([$1], [1.16.2], [], | |||
[AC_FATAL([Do not call $0, use AM_INIT_AUTOMAKE([$1]).])])dnl | [AC_FATAL([Do not call $0, use AM_INIT_AUTOMAKE([$1]).])])dnl | |||
]) | ]) | |||
# _AM_AUTOCONF_VERSION(VERSION) | # _AM_AUTOCONF_VERSION(VERSION) | |||
# ----------------------------- | # ----------------------------- | |||
# aclocal traces this macro to find the Autoconf version. | # aclocal traces this macro to find the Autoconf version. | |||
# This is a private macro too. Using m4_define simplifies | # This is a private macro too. Using m4_define simplifies | |||
# the logic in aclocal, which can simply ignore this definition. | # the logic in aclocal, which can simply ignore this definition. | |||
m4_define([_AM_AUTOCONF_VERSION], []) | m4_define([_AM_AUTOCONF_VERSION], []) | |||
# AM_SET_CURRENT_AUTOMAKE_VERSION | # AM_SET_CURRENT_AUTOMAKE_VERSION | |||
# ------------------------------- | # ------------------------------- | |||
# Call AM_AUTOMAKE_VERSION and AM_AUTOMAKE_VERSION so they can be traced. | # Call AM_AUTOMAKE_VERSION and AM_AUTOMAKE_VERSION so they can be traced. | |||
# This function is AC_REQUIREd by AM_INIT_AUTOMAKE. | # This function is AC_REQUIREd by AM_INIT_AUTOMAKE. | |||
AC_DEFUN([AM_SET_CURRENT_AUTOMAKE_VERSION], | AC_DEFUN([AM_SET_CURRENT_AUTOMAKE_VERSION], | |||
[AM_AUTOMAKE_VERSION([1.16.1])dnl | [AM_AUTOMAKE_VERSION([1.16.2])dnl | |||
m4_ifndef([AC_AUTOCONF_VERSION], | m4_ifndef([AC_AUTOCONF_VERSION], | |||
[m4_copy([m4_PACKAGE_VERSION], [AC_AUTOCONF_VERSION])])dnl | [m4_copy([m4_PACKAGE_VERSION], [AC_AUTOCONF_VERSION])])dnl | |||
_AM_AUTOCONF_VERSION(m4_defn([AC_AUTOCONF_VERSION]))]) | _AM_AUTOCONF_VERSION(m4_defn([AC_AUTOCONF_VERSION]))]) | |||
# AM_AUX_DIR_EXPAND -*- Autoconf -*- | # AM_AUX_DIR_EXPAND -*- Autoconf -*- | |||
# Copyright (C) 2001-2018 Free Software Foundation, Inc. | # Copyright (C) 2001-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# For projects using AC_CONFIG_AUX_DIR([foo]), Autoconf sets | # For projects using AC_CONFIG_AUX_DIR([foo]), Autoconf sets | |||
# $ac_aux_dir to '$srcdir/foo'. In other projects, it is set to | # $ac_aux_dir to '$srcdir/foo'. In other projects, it is set to | |||
# '$srcdir', '$srcdir/..', or '$srcdir/../..'. | # '$srcdir', '$srcdir/..', or '$srcdir/../..'. | |||
# | # | |||
# Of course, Automake must honor this variable whenever it calls a | # Of course, Automake must honor this variable whenever it calls a | |||
skipping to change at line 452 | skipping to change at line 667 | |||
# configured tree to be moved without reconfiguration. | # configured tree to be moved without reconfiguration. | |||
AC_DEFUN([AM_AUX_DIR_EXPAND], | AC_DEFUN([AM_AUX_DIR_EXPAND], | |||
[AC_REQUIRE([AC_CONFIG_AUX_DIR_DEFAULT])dnl | [AC_REQUIRE([AC_CONFIG_AUX_DIR_DEFAULT])dnl | |||
# Expand $ac_aux_dir to an absolute path. | # Expand $ac_aux_dir to an absolute path. | |||
am_aux_dir=`cd "$ac_aux_dir" && pwd` | am_aux_dir=`cd "$ac_aux_dir" && pwd` | |||
]) | ]) | |||
# AM_CONDITIONAL -*- Autoconf -*- | # AM_CONDITIONAL -*- Autoconf -*- | |||
# Copyright (C) 1997-2018 Free Software Foundation, Inc. | # Copyright (C) 1997-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_CONDITIONAL(NAME, SHELL-CONDITION) | # AM_CONDITIONAL(NAME, SHELL-CONDITION) | |||
# ------------------------------------- | # ------------------------------------- | |||
# Define a conditional. | # Define a conditional. | |||
AC_DEFUN([AM_CONDITIONAL], | AC_DEFUN([AM_CONDITIONAL], | |||
[AC_PREREQ([2.52])dnl | [AC_PREREQ([2.52])dnl | |||
skipping to change at line 483 | skipping to change at line 698 | |||
else | else | |||
$1_TRUE='#' | $1_TRUE='#' | |||
$1_FALSE= | $1_FALSE= | |||
fi | fi | |||
AC_CONFIG_COMMANDS_PRE( | AC_CONFIG_COMMANDS_PRE( | |||
[if test -z "${$1_TRUE}" && test -z "${$1_FALSE}"; then | [if test -z "${$1_TRUE}" && test -z "${$1_FALSE}"; then | |||
AC_MSG_ERROR([[conditional "$1" was never defined. | AC_MSG_ERROR([[conditional "$1" was never defined. | |||
Usually this means the macro was only invoked conditionally.]]) | Usually this means the macro was only invoked conditionally.]]) | |||
fi])]) | fi])]) | |||
# Copyright (C) 1999-2018 Free Software Foundation, Inc. | # Copyright (C) 1999-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# There are a few dirty hacks below to avoid letting 'AC_PROG_CC' be | # There are a few dirty hacks below to avoid letting 'AC_PROG_CC' be | |||
# written in clear, in which case automake, when reading aclocal.m4, | # written in clear, in which case automake, when reading aclocal.m4, | |||
# will think it sees a *use*, and therefore will trigger all it's | # will think it sees a *use*, and therefore will trigger all it's | |||
# C support machinery. Also note that it means that autoscan, seeing | # C support machinery. Also note that it means that autoscan, seeing | |||
# CC etc. in the Makefile, will ask for an AC_PROG_CC use... | # CC etc. in the Makefile, will ask for an AC_PROG_CC use... | |||
skipping to change at line 670 | skipping to change at line 885 | |||
fi | fi | |||
AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno]) | AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno]) | |||
AC_SUBST([AMDEPBACKSLASH])dnl | AC_SUBST([AMDEPBACKSLASH])dnl | |||
_AM_SUBST_NOTMAKE([AMDEPBACKSLASH])dnl | _AM_SUBST_NOTMAKE([AMDEPBACKSLASH])dnl | |||
AC_SUBST([am__nodep])dnl | AC_SUBST([am__nodep])dnl | |||
_AM_SUBST_NOTMAKE([am__nodep])dnl | _AM_SUBST_NOTMAKE([am__nodep])dnl | |||
]) | ]) | |||
# Generate code to set up dependency tracking. -*- Autoconf -*- | # Generate code to set up dependency tracking. -*- Autoconf -*- | |||
# Copyright (C) 1999-2018 Free Software Foundation, Inc. | # Copyright (C) 1999-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# _AM_OUTPUT_DEPENDENCY_COMMANDS | # _AM_OUTPUT_DEPENDENCY_COMMANDS | |||
# ------------------------------ | # ------------------------------ | |||
AC_DEFUN([_AM_OUTPUT_DEPENDENCY_COMMANDS], | AC_DEFUN([_AM_OUTPUT_DEPENDENCY_COMMANDS], | |||
[{ | [{ | |||
# Older Autoconf quotes --file arguments for eval, but not when files | # Older Autoconf quotes --file arguments for eval, but not when files | |||
skipping to change at line 709 | skipping to change at line 924 | |||
sed -n 's,^am--depfiles:.*,X,p' "$am_mf" | grep X >/dev/null 2>&1 \ | sed -n 's,^am--depfiles:.*,X,p' "$am_mf" | grep X >/dev/null 2>&1 \ | |||
|| continue | || continue | |||
am_dirpart=`AS_DIRNAME(["$am_mf"])` | am_dirpart=`AS_DIRNAME(["$am_mf"])` | |||
am_filepart=`AS_BASENAME(["$am_mf"])` | am_filepart=`AS_BASENAME(["$am_mf"])` | |||
AM_RUN_LOG([cd "$am_dirpart" \ | AM_RUN_LOG([cd "$am_dirpart" \ | |||
&& sed -e '/# am--include-marker/d' "$am_filepart" \ | && sed -e '/# am--include-marker/d' "$am_filepart" \ | |||
| $MAKE -f - am--depfiles]) || am_rc=$? | | $MAKE -f - am--depfiles]) || am_rc=$? | |||
done | done | |||
if test $am_rc -ne 0; then | if test $am_rc -ne 0; then | |||
AC_MSG_FAILURE([Something went wrong bootstrapping makefile fragments | AC_MSG_FAILURE([Something went wrong bootstrapping makefile fragments | |||
for automatic dependency tracking. Try re-running configure with the | for automatic dependency tracking. If GNU make was not used, consider | |||
re-running the configure script with MAKE="gmake" (or whatever is | ||||
necessary). You can also try re-running configure with the | ||||
'--disable-dependency-tracking' option to at least be able to build | '--disable-dependency-tracking' option to at least be able to build | |||
the package (albeit without support for automatic dependency tracking).]) | the package (albeit without support for automatic dependency tracking).]) | |||
fi | fi | |||
AS_UNSET([am_dirpart]) | AS_UNSET([am_dirpart]) | |||
AS_UNSET([am_filepart]) | AS_UNSET([am_filepart]) | |||
AS_UNSET([am_mf]) | AS_UNSET([am_mf]) | |||
AS_UNSET([am_rc]) | AS_UNSET([am_rc]) | |||
rm -f conftest-deps.mk | rm -f conftest-deps.mk | |||
} | } | |||
])# _AM_OUTPUT_DEPENDENCY_COMMANDS | ])# _AM_OUTPUT_DEPENDENCY_COMMANDS | |||
skipping to change at line 735 | skipping to change at line 952 | |||
# This code is only required when automatic dependency tracking is enabled. | # This code is only required when automatic dependency tracking is enabled. | |||
# This creates each '.Po' and '.Plo' makefile fragment that we'll need in | # This creates each '.Po' and '.Plo' makefile fragment that we'll need in | |||
# order to bootstrap the dependency handling code. | # order to bootstrap the dependency handling code. | |||
AC_DEFUN([AM_OUTPUT_DEPENDENCY_COMMANDS], | AC_DEFUN([AM_OUTPUT_DEPENDENCY_COMMANDS], | |||
[AC_CONFIG_COMMANDS([depfiles], | [AC_CONFIG_COMMANDS([depfiles], | |||
[test x"$AMDEP_TRUE" != x"" || _AM_OUTPUT_DEPENDENCY_COMMANDS], | [test x"$AMDEP_TRUE" != x"" || _AM_OUTPUT_DEPENDENCY_COMMANDS], | |||
[AMDEP_TRUE="$AMDEP_TRUE" MAKE="${MAKE-make}"])]) | [AMDEP_TRUE="$AMDEP_TRUE" MAKE="${MAKE-make}"])]) | |||
# Do all the work for Automake. -*- Autoconf -*- | # Do all the work for Automake. -*- Autoconf -*- | |||
# Copyright (C) 1996-2018 Free Software Foundation, Inc. | # Copyright (C) 1996-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# This macro actually does too much. Some checks are only needed if | # This macro actually does too much. Some checks are only needed if | |||
# your package does certain things. But this isn't really a big deal. | # your package does certain things. But this isn't really a big deal. | |||
dnl Redefine AC_PROG_CC to automatically invoke _AM_PROG_CC_C_O. | dnl Redefine AC_PROG_CC to automatically invoke _AM_PROG_CC_C_O. | |||
m4_define([AC_PROG_CC], | m4_define([AC_PROG_CC], | |||
skipping to change at line 932 | skipping to change at line 1149 | |||
for _am_header in $config_headers :; do | for _am_header in $config_headers :; do | |||
case $_am_header in | case $_am_header in | |||
$_am_arg | $_am_arg:* ) | $_am_arg | $_am_arg:* ) | |||
break ;; | break ;; | |||
* ) | * ) | |||
_am_stamp_count=`expr $_am_stamp_count + 1` ;; | _am_stamp_count=`expr $_am_stamp_count + 1` ;; | |||
esac | esac | |||
done | done | |||
echo "timestamp for $_am_arg" >`AS_DIRNAME(["$_am_arg"])`/stamp-h[]$_am_stamp_co unt]) | echo "timestamp for $_am_arg" >`AS_DIRNAME(["$_am_arg"])`/stamp-h[]$_am_stamp_co unt]) | |||
# Copyright (C) 2001-2018 Free Software Foundation, Inc. | # Copyright (C) 2001-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_PROG_INSTALL_SH | # AM_PROG_INSTALL_SH | |||
# ------------------ | # ------------------ | |||
# Define $install_sh. | # Define $install_sh. | |||
AC_DEFUN([AM_PROG_INSTALL_SH], | AC_DEFUN([AM_PROG_INSTALL_SH], | |||
[AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl | [AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl | |||
if test x"${install_sh+set}" != xset; then | if test x"${install_sh+set}" != xset; then | |||
case $am_aux_dir in | case $am_aux_dir in | |||
*\ * | *\ *) | *\ * | *\ *) | |||
install_sh="\${SHELL} '$am_aux_dir/install-sh'" ;; | install_sh="\${SHELL} '$am_aux_dir/install-sh'" ;; | |||
*) | *) | |||
install_sh="\${SHELL} $am_aux_dir/install-sh" | install_sh="\${SHELL} $am_aux_dir/install-sh" | |||
esac | esac | |||
fi | fi | |||
AC_SUBST([install_sh])]) | AC_SUBST([install_sh])]) | |||
# Copyright (C) 2003-2018 Free Software Foundation, Inc. | # Copyright (C) 2003-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# Check whether the underlying file-system supports filenames | # Check whether the underlying file-system supports filenames | |||
# with a leading dot. For instance MS-DOS doesn't. | # with a leading dot. For instance MS-DOS doesn't. | |||
AC_DEFUN([AM_SET_LEADING_DOT], | AC_DEFUN([AM_SET_LEADING_DOT], | |||
[rm -rf .tst 2>/dev/null | [rm -rf .tst 2>/dev/null | |||
mkdir .tst 2>/dev/null | mkdir .tst 2>/dev/null | |||
skipping to change at line 975 | skipping to change at line 1192 | |||
am__leading_dot=. | am__leading_dot=. | |||
else | else | |||
am__leading_dot=_ | am__leading_dot=_ | |||
fi | fi | |||
rmdir .tst 2>/dev/null | rmdir .tst 2>/dev/null | |||
AC_SUBST([am__leading_dot])]) | AC_SUBST([am__leading_dot])]) | |||
# Add --enable-maintainer-mode option to configure. -*- Autoconf -*- | # Add --enable-maintainer-mode option to configure. -*- Autoconf -*- | |||
# From Jim Meyering | # From Jim Meyering | |||
# Copyright (C) 1996-2018 Free Software Foundation, Inc. | # Copyright (C) 1996-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_MAINTAINER_MODE([DEFAULT-MODE]) | # AM_MAINTAINER_MODE([DEFAULT-MODE]) | |||
# ---------------------------------- | # ---------------------------------- | |||
# Control maintainer-specific portions of Makefiles. | # Control maintainer-specific portions of Makefiles. | |||
# Default is to disable them, unless 'enable' is passed literally. | # Default is to disable them, unless 'enable' is passed literally. | |||
# For symmetry, 'disable' may be passed as well. Anyway, the user | # For symmetry, 'disable' may be passed as well. Anyway, the user | |||
skipping to change at line 1010 | skipping to change at line 1227 | |||
[USE_MAINTAINER_MODE=]m4_if(am_maintainer_other, [enable], [no], [yes])) | [USE_MAINTAINER_MODE=]m4_if(am_maintainer_other, [enable], [no], [yes])) | |||
AC_MSG_RESULT([$USE_MAINTAINER_MODE]) | AC_MSG_RESULT([$USE_MAINTAINER_MODE]) | |||
AM_CONDITIONAL([MAINTAINER_MODE], [test $USE_MAINTAINER_MODE = yes]) | AM_CONDITIONAL([MAINTAINER_MODE], [test $USE_MAINTAINER_MODE = yes]) | |||
MAINT=$MAINTAINER_MODE_TRUE | MAINT=$MAINTAINER_MODE_TRUE | |||
AC_SUBST([MAINT])dnl | AC_SUBST([MAINT])dnl | |||
] | ] | |||
) | ) | |||
# Check to see how 'make' treats includes. -*- Autoconf -*- | # Check to see how 'make' treats includes. -*- Autoconf -*- | |||
# Copyright (C) 2001-2018 Free Software Foundation, Inc. | # Copyright (C) 2001-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_MAKE_INCLUDE() | # AM_MAKE_INCLUDE() | |||
# ----------------- | # ----------------- | |||
# Check whether make has an 'include' directive that can support all | # Check whether make has an 'include' directive that can support all | |||
# the idioms we need for our automatic dependency tracking code. | # the idioms we need for our automatic dependency tracking code. | |||
AC_DEFUN([AM_MAKE_INCLUDE], | AC_DEFUN([AM_MAKE_INCLUDE], | |||
skipping to change at line 1053 | skipping to change at line 1270 | |||
break | break | |||
fi | fi | |||
done | done | |||
rm -f confinc.* confmf.* | rm -f confinc.* confmf.* | |||
AC_MSG_RESULT([${_am_result}]) | AC_MSG_RESULT([${_am_result}]) | |||
AC_SUBST([am__include])]) | AC_SUBST([am__include])]) | |||
AC_SUBST([am__quote])]) | AC_SUBST([am__quote])]) | |||
# Fake the existence of programs that GNU maintainers use. -*- Autoconf -*- | # Fake the existence of programs that GNU maintainers use. -*- Autoconf -*- | |||
# Copyright (C) 1997-2018 Free Software Foundation, Inc. | # Copyright (C) 1997-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_MISSING_PROG(NAME, PROGRAM) | # AM_MISSING_PROG(NAME, PROGRAM) | |||
# ------------------------------ | # ------------------------------ | |||
AC_DEFUN([AM_MISSING_PROG], | AC_DEFUN([AM_MISSING_PROG], | |||
[AC_REQUIRE([AM_MISSING_HAS_RUN]) | [AC_REQUIRE([AM_MISSING_HAS_RUN]) | |||
$1=${$1-"${am_missing_run}$2"} | $1=${$1-"${am_missing_run}$2"} | |||
skipping to change at line 1094 | skipping to change at line 1311 | |||
else | else | |||
am_missing_run= | am_missing_run= | |||
AC_MSG_WARN(['missing' script is too old or missing]) | AC_MSG_WARN(['missing' script is too old or missing]) | |||
fi | fi | |||
]) | ]) | |||
# -*- Autoconf -*- | # -*- Autoconf -*- | |||
# Obsolete and "removed" macros, that must however still report explicit | # Obsolete and "removed" macros, that must however still report explicit | |||
# error messages when used, to smooth transition. | # error messages when used, to smooth transition. | |||
# | # | |||
# Copyright (C) 1996-2018 Free Software Foundation, Inc. | # Copyright (C) 1996-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
AC_DEFUN([AM_CONFIG_HEADER], | AC_DEFUN([AM_CONFIG_HEADER], | |||
[AC_DIAGNOSE([obsolete], | [AC_DIAGNOSE([obsolete], | |||
['$0': this macro is obsolete. | ['$0': this macro is obsolete. | |||
You should use the 'AC][_CONFIG_HEADERS' macro instead.])dnl | You should use the 'AC][_CONFIG_HEADERS' macro instead.])dnl | |||
AC_CONFIG_HEADERS($@)]) | AC_CONFIG_HEADERS($@)]) | |||
skipping to change at line 1121 | skipping to change at line 1338 | |||
You should simply use the 'AC][_PROG_CC' macro instead. | You should simply use the 'AC][_PROG_CC' macro instead. | |||
Also, your code should no longer depend upon 'am_cv_prog_cc_stdc', | Also, your code should no longer depend upon 'am_cv_prog_cc_stdc', | |||
but upon 'ac_cv_prog_cc_stdc'.])]) | but upon 'ac_cv_prog_cc_stdc'.])]) | |||
AC_DEFUN([AM_C_PROTOTYPES], | AC_DEFUN([AM_C_PROTOTYPES], | |||
[AC_FATAL([automatic de-ANSI-fication support has been removed])]) | [AC_FATAL([automatic de-ANSI-fication support has been removed])]) | |||
AU_DEFUN([fp_C_PROTOTYPES], [AM_C_PROTOTYPES]) | AU_DEFUN([fp_C_PROTOTYPES], [AM_C_PROTOTYPES]) | |||
# Helper functions for option handling. -*- Autoconf -*- | # Helper functions for option handling. -*- Autoconf -*- | |||
# Copyright (C) 2001-2018 Free Software Foundation, Inc. | # Copyright (C) 2001-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# _AM_MANGLE_OPTION(NAME) | # _AM_MANGLE_OPTION(NAME) | |||
# ----------------------- | # ----------------------- | |||
AC_DEFUN([_AM_MANGLE_OPTION], | AC_DEFUN([_AM_MANGLE_OPTION], | |||
[[_AM_OPTION_]m4_bpatsubst($1, [[^a-zA-Z0-9_]], [_])]) | [[_AM_OPTION_]m4_bpatsubst($1, [[^a-zA-Z0-9_]], [_])]) | |||
skipping to change at line 1150 | skipping to change at line 1367 | |||
# OPTIONS is a space-separated list of Automake options. | # OPTIONS is a space-separated list of Automake options. | |||
AC_DEFUN([_AM_SET_OPTIONS], | AC_DEFUN([_AM_SET_OPTIONS], | |||
[m4_foreach_w([_AM_Option], [$1], [_AM_SET_OPTION(_AM_Option)])]) | [m4_foreach_w([_AM_Option], [$1], [_AM_SET_OPTION(_AM_Option)])]) | |||
# _AM_IF_OPTION(OPTION, IF-SET, [IF-NOT-SET]) | # _AM_IF_OPTION(OPTION, IF-SET, [IF-NOT-SET]) | |||
# ------------------------------------------- | # ------------------------------------------- | |||
# Execute IF-SET if OPTION is set, IF-NOT-SET otherwise. | # Execute IF-SET if OPTION is set, IF-NOT-SET otherwise. | |||
AC_DEFUN([_AM_IF_OPTION], | AC_DEFUN([_AM_IF_OPTION], | |||
[m4_ifset(_AM_MANGLE_OPTION([$1]), [$2], [$3])]) | [m4_ifset(_AM_MANGLE_OPTION([$1]), [$2], [$3])]) | |||
# Copyright (C) 1999-2018 Free Software Foundation, Inc. | # Copyright (C) 1999-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# _AM_PROG_CC_C_O | # _AM_PROG_CC_C_O | |||
# --------------- | # --------------- | |||
# Like AC_PROG_CC_C_O, but changed for automake. We rewrite AC_PROG_CC | # Like AC_PROG_CC_C_O, but changed for automake. We rewrite AC_PROG_CC | |||
# to automatically call this. | # to automatically call this. | |||
AC_DEFUN([_AM_PROG_CC_C_O], | AC_DEFUN([_AM_PROG_CC_C_O], | |||
skipping to change at line 1197 | skipping to change at line 1414 | |||
# But if we don't then we get into trouble of one sort or another. | # But if we don't then we get into trouble of one sort or another. | |||
# A longer-term fix would be to have automake use am__CC in this case, | # A longer-term fix would be to have automake use am__CC in this case, | |||
# and then we could set am__CC="\$(top_srcdir)/compile \$(CC)" | # and then we could set am__CC="\$(top_srcdir)/compile \$(CC)" | |||
CC="$am_aux_dir/compile $CC" | CC="$am_aux_dir/compile $CC" | |||
fi | fi | |||
AC_LANG_POP([C])]) | AC_LANG_POP([C])]) | |||
# For backward compatibility. | # For backward compatibility. | |||
AC_DEFUN_ONCE([AM_PROG_CC_C_O], [AC_REQUIRE([AC_PROG_CC])]) | AC_DEFUN_ONCE([AM_PROG_CC_C_O], [AC_REQUIRE([AC_PROG_CC])]) | |||
# Copyright (C) 2001-2018 Free Software Foundation, Inc. | # Copyright (C) 2001-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_RUN_LOG(COMMAND) | # AM_RUN_LOG(COMMAND) | |||
# ------------------- | # ------------------- | |||
# Run COMMAND, save the exit status in ac_status, and log it. | # Run COMMAND, save the exit status in ac_status, and log it. | |||
# (This has been adapted from Autoconf's _AC_RUN_LOG macro.) | # (This has been adapted from Autoconf's _AC_RUN_LOG macro.) | |||
AC_DEFUN([AM_RUN_LOG], | AC_DEFUN([AM_RUN_LOG], | |||
[{ echo "$as_me:$LINENO: $1" >&AS_MESSAGE_LOG_FD | [{ echo "$as_me:$LINENO: $1" >&AS_MESSAGE_LOG_FD | |||
($1) >&AS_MESSAGE_LOG_FD 2>&AS_MESSAGE_LOG_FD | ($1) >&AS_MESSAGE_LOG_FD 2>&AS_MESSAGE_LOG_FD | |||
ac_status=$? | ac_status=$? | |||
echo "$as_me:$LINENO: \$? = $ac_status" >&AS_MESSAGE_LOG_FD | echo "$as_me:$LINENO: \$? = $ac_status" >&AS_MESSAGE_LOG_FD | |||
(exit $ac_status); }]) | (exit $ac_status); }]) | |||
# Check to make sure that the build environment is sane. -*- Autoconf -*- | # Check to make sure that the build environment is sane. -*- Autoconf -*- | |||
# Copyright (C) 1996-2018 Free Software Foundation, Inc. | # Copyright (C) 1996-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_SANITY_CHECK | # AM_SANITY_CHECK | |||
# --------------- | # --------------- | |||
AC_DEFUN([AM_SANITY_CHECK], | AC_DEFUN([AM_SANITY_CHECK], | |||
[AC_MSG_CHECKING([whether build environment is sane]) | [AC_MSG_CHECKING([whether build environment is sane]) | |||
# Reject unsafe characters in $srcdir or the absolute working directory | # Reject unsafe characters in $srcdir or the absolute working directory | |||
skipping to change at line 1297 | skipping to change at line 1514 | |||
AC_CONFIG_COMMANDS_PRE( | AC_CONFIG_COMMANDS_PRE( | |||
[AC_MSG_CHECKING([that generated files are newer than configure]) | [AC_MSG_CHECKING([that generated files are newer than configure]) | |||
if test -n "$am_sleep_pid"; then | if test -n "$am_sleep_pid"; then | |||
# Hide warnings about reused PIDs. | # Hide warnings about reused PIDs. | |||
wait $am_sleep_pid 2>/dev/null | wait $am_sleep_pid 2>/dev/null | |||
fi | fi | |||
AC_MSG_RESULT([done])]) | AC_MSG_RESULT([done])]) | |||
rm -f conftest.file | rm -f conftest.file | |||
]) | ]) | |||
# Copyright (C) 2009-2018 Free Software Foundation, Inc. | # Copyright (C) 2009-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_SILENT_RULES([DEFAULT]) | # AM_SILENT_RULES([DEFAULT]) | |||
# -------------------------- | # -------------------------- | |||
# Enable less verbose build rules; with the default set to DEFAULT | # Enable less verbose build rules; with the default set to DEFAULT | |||
# ("yes" being less verbose, "no" or empty being verbose). | # ("yes" being less verbose, "no" or empty being verbose). | |||
AC_DEFUN([AM_SILENT_RULES], | AC_DEFUN([AM_SILENT_RULES], | |||
skipping to change at line 1357 | skipping to change at line 1574 | |||
AC_SUBST([AM_V])dnl | AC_SUBST([AM_V])dnl | |||
AM_SUBST_NOTMAKE([AM_V])dnl | AM_SUBST_NOTMAKE([AM_V])dnl | |||
AC_SUBST([AM_DEFAULT_V])dnl | AC_SUBST([AM_DEFAULT_V])dnl | |||
AM_SUBST_NOTMAKE([AM_DEFAULT_V])dnl | AM_SUBST_NOTMAKE([AM_DEFAULT_V])dnl | |||
AC_SUBST([AM_DEFAULT_VERBOSITY])dnl | AC_SUBST([AM_DEFAULT_VERBOSITY])dnl | |||
AM_BACKSLASH='\' | AM_BACKSLASH='\' | |||
AC_SUBST([AM_BACKSLASH])dnl | AC_SUBST([AM_BACKSLASH])dnl | |||
_AM_SUBST_NOTMAKE([AM_BACKSLASH])dnl | _AM_SUBST_NOTMAKE([AM_BACKSLASH])dnl | |||
]) | ]) | |||
# Copyright (C) 2001-2018 Free Software Foundation, Inc. | # Copyright (C) 2001-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# AM_PROG_INSTALL_STRIP | # AM_PROG_INSTALL_STRIP | |||
# --------------------- | # --------------------- | |||
# One issue with vendor 'install' (even GNU) is that you can't | # One issue with vendor 'install' (even GNU) is that you can't | |||
# specify the program used to strip binaries. This is especially | # specify the program used to strip binaries. This is especially | |||
# annoying in cross-compiling environments, where the build's strip | # annoying in cross-compiling environments, where the build's strip | |||
skipping to change at line 1385 | skipping to change at line 1602 | |||
# run "make install-strip". However 'strip' might not be the right | # run "make install-strip". However 'strip' might not be the right | |||
# tool to use in cross-compilation environments, therefore Automake | # tool to use in cross-compilation environments, therefore Automake | |||
# will honor the 'STRIP' environment variable to overrule this program. | # will honor the 'STRIP' environment variable to overrule this program. | |||
dnl Don't test for $cross_compiling = yes, because it might be 'maybe'. | dnl Don't test for $cross_compiling = yes, because it might be 'maybe'. | |||
if test "$cross_compiling" != no; then | if test "$cross_compiling" != no; then | |||
AC_CHECK_TOOL([STRIP], [strip], :) | AC_CHECK_TOOL([STRIP], [strip], :) | |||
fi | fi | |||
INSTALL_STRIP_PROGRAM="\$(install_sh) -c -s" | INSTALL_STRIP_PROGRAM="\$(install_sh) -c -s" | |||
AC_SUBST([INSTALL_STRIP_PROGRAM])]) | AC_SUBST([INSTALL_STRIP_PROGRAM])]) | |||
# Copyright (C) 2006-2018 Free Software Foundation, Inc. | # Copyright (C) 2006-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# _AM_SUBST_NOTMAKE(VARIABLE) | # _AM_SUBST_NOTMAKE(VARIABLE) | |||
# --------------------------- | # --------------------------- | |||
# Prevent Automake from outputting VARIABLE = @VARIABLE@ in Makefile.in. | # Prevent Automake from outputting VARIABLE = @VARIABLE@ in Makefile.in. | |||
# This macro is traced by Automake. | # This macro is traced by Automake. | |||
AC_DEFUN([_AM_SUBST_NOTMAKE]) | AC_DEFUN([_AM_SUBST_NOTMAKE]) | |||
# AM_SUBST_NOTMAKE(VARIABLE) | # AM_SUBST_NOTMAKE(VARIABLE) | |||
# -------------------------- | # -------------------------- | |||
# Public sister of _AM_SUBST_NOTMAKE. | # Public sister of _AM_SUBST_NOTMAKE. | |||
AC_DEFUN([AM_SUBST_NOTMAKE], [_AM_SUBST_NOTMAKE($@)]) | AC_DEFUN([AM_SUBST_NOTMAKE], [_AM_SUBST_NOTMAKE($@)]) | |||
# Check how to create a tarball. -*- Autoconf -*- | # Check how to create a tarball. -*- Autoconf -*- | |||
# Copyright (C) 2004-2018 Free Software Foundation, Inc. | # Copyright (C) 2004-2020 Free Software Foundation, Inc. | |||
# | # | |||
# This file is free software; the Free Software Foundation | # This file is free software; the Free Software Foundation | |||
# gives unlimited permission to copy and/or distribute it, | # gives unlimited permission to copy and/or distribute it, | |||
# with or without modifications, as long as this notice is preserved. | # with or without modifications, as long as this notice is preserved. | |||
# _AM_PROG_TAR(FORMAT) | # _AM_PROG_TAR(FORMAT) | |||
# -------------------- | # -------------------- | |||
# Check how to create a tarball in format FORMAT. | # Check how to create a tarball in format FORMAT. | |||
# FORMAT should be one of 'v7', 'ustar', or 'pax'. | # FORMAT should be one of 'v7', 'ustar', or 'pax'. | |||
# | # | |||
End of changes. 26 change blocks. | ||||
25 lines changed or deleted | 273 lines changed or added |